summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-24 18:40:44 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-24 18:40:44 +0000
commitfec09b8d23461f6f90d063ad59a6fe7c122c73cc (patch)
tree7ea702cad269036b14403a39a4cc8d36d03b15da /dev-python
parentb7864809c53db961b7b24f7ef7fb16499906eedd (diff)
downloadbaldeagleos-repo-fec09b8d23461f6f90d063ad59a6fe7c122c73cc.tar.gz
baldeagleos-repo-fec09b8d23461f6f90d063ad59a6fe7c122c73cc.tar.xz
baldeagleos-repo-fec09b8d23461f6f90d063ad59a6fe7c122c73cc.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-5.38.0.ebuild63
-rw-r--r--dev-python/pycurl/pycurl-7.43.0.6.ebuild2
-rw-r--r--dev-python/pygments/Manifest1
-rw-r--r--dev-python/pygments/pygments-2.7.2.ebuild35
-rw-r--r--dev-python/python-xlib/python-xlib-0.28.ebuild2
6 files changed, 102 insertions, 2 deletions
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 0dca7bc6ebae..4c9e8b1a5738 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,3 +3,4 @@ DIST hypothesis-python-5.35.4.tar.gz 9084892 BLAKE2B 5545f2b1f3e97eafb4c83d7918f
DIST hypothesis-python-5.36.2.tar.gz 9088227 BLAKE2B 578c28d045f3b3f288d43765d556f1e7bbde661684b71f6379df3eba516d8ece86f31a38a414e676532f6ecb8a1ee69ac77d207a8637eaef8b9a86584d3292eb SHA512 d6792d5b9f60aea6181018c69eaa12982ef0ab353bff3f46bc987a4633a15b655ed04ee8ae3aca7dbd9e23cf5f85e4a95e455082f4035e246342b72e2dafe258
DIST hypothesis-python-5.37.4.tar.gz 9092324 BLAKE2B 95ea82c1a64eaa63f0dc662a9c34a51245dc5ebdd95faffe336bce64f02947031e4b8b09eccf45cdb1f5ba851cbc66bcb0baeab74063b9572527c7b3159abd71 SHA512 7eb5299bb9a3206773dda56f560e6ec41f49d052b03782e1c10cd2d5fd62dd8757ccd7ba201612769c8ee5326602af5f1ae1bc0626d88b1f30bae0c610fd42be
DIST hypothesis-python-5.37.5.tar.gz 9092380 BLAKE2B b5bf9f5c5bb1002154ea6041c38b727e926ae65641a05ddd2bfe919fdb7b6457963ddcc5bf1d57a929c57a3912b15a13c52b4568708348f4f308146cf64caa61 SHA512 ddf2db9d8f9318b0b3ae872fdfebbc4ac8376a86816e7c9a0350738a68a4e3adbe41aaf19a8f54471f551542f3252172cc34f5bc140483989ef8c04c5735f044
+DIST hypothesis-python-5.38.0.tar.gz 9092764 BLAKE2B ec805c3df17af88e122e9a462c73768b67d420172d72c088add8056b8de64606a8e6c01f82a0ca4fd05520444482e10b488b4ccf2b78b951288c4e1827e1ce12 SHA512 2a4e57ace3c6487598353bd40a9295d8dd05c6b18493d61674bbb403a4bbd863c43af683b59da990cc5add5dedc789462337140c4d2ed7d2c16567fb254261ff
diff --git a/dev-python/hypothesis/hypothesis-5.38.0.ebuild b/dev-python/hypothesis/hypothesis-5.38.0.ebuild
new file mode 100644
index 000000000000..31c848539467
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.38.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="cli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{6..9})
+ )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ pytest -vv tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/pycurl/pycurl-7.43.0.6.ebuild b/dev-python/pycurl/pycurl-7.43.0.6.ebuild
index 2d4ab65f69e4..54fedddc7a68 100644
--- a/dev-python/pycurl/pycurl-7.43.0.6.ebuild
+++ b/dev-python/pycurl/pycurl-7.43.0.6.ebuild
@@ -18,7 +18,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="curl_ssl_gnutls curl_ssl_libressl curl_ssl_nss +curl_ssl_openssl examples ssl test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pygments/Manifest b/dev-python/pygments/Manifest
index 336a274d3d2e..af759d0e15d4 100644
--- a/dev-python/pygments/Manifest
+++ b/dev-python/pygments/Manifest
@@ -1 +1,2 @@
DIST Pygments-2.7.1.tar.gz 2323072 BLAKE2B ee55bb47369caca78d180659c2f62af18c1b1c6bfd803148ed88254f33c7261bf8acd29d193be2ac9c04d022a1c0c14c0fe9ff3cfcf8a5dc1d4dec90d3f1ee43 SHA512 95d1109cd53092fafa2f1d5c21a135c426700fc92e39bb22a27f47e63d10bdcb9e52593cd282339a3b501430ededbccea4f8d5970ba1171204579b964a6771c8
+DIST Pygments-2.7.2.tar.gz 2350457 BLAKE2B 4a67cd34cc41402e485e2bbb827a00f5184c00d26ca6f341c190457134598bd1cccc87a995eee85eb007a98b6d7b9e3e33585d0c1c0bba4289bedb36d22f351d SHA512 cd667e2cb33261060c316e3b92934dae735e2aa6c427b77852d4d18f28941cb369da05adb8540dd9fe3262b3e30e2fd6456e345bccc848be9dbdba20e97ef157
diff --git a/dev-python/pygments/pygments-2.7.2.ebuild b/dev-python/pygments/pygments-2.7.2.ebuild
new file mode 100644
index 000000000000..b79e01248875
--- /dev/null
+++ b/dev-python/pygments/pygments-2.7.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1 bash-completion-r1
+
+MY_P=${P^}
+DESCRIPTION="Pygments is a syntax highlighting package written in Python"
+HOMEPAGE="
+ https://pygments.org/
+ https://github.com/pygments/pygments/
+ https://pypi.org/project/Pygments/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${PN^}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+BDEPEND="
+ test? (
+ virtual/ttf-fonts
+ )"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ newbashcomp external/pygments.bashcomp pygmentize
+}
diff --git a/dev-python/python-xlib/python-xlib-0.28.ebuild b/dev-python/python-xlib/python-xlib-0.28.ebuild
index ee6169d9ffd3..e6f964e492b4 100644
--- a/dev-python/python-xlib/python-xlib-0.28.ebuild
+++ b/dev-python/python-xlib/python-xlib-0.28.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.bz2"
LICENSE="LGPL-2+"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ppc ~ppc64 ~x86"
IUSE="doc"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"